%define upstream_name    Async-MergePoint
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Resynchronise diverged control flow
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Async/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Often in program logic, multiple different steps need to be taken that are
independent of each other, but their total result is needed before the next
step can be taken. In synchronous code, the usual approach is to do them
sequentially.

An asynchronous or event-based program could do this, but if each step
involves some IO idle time, better overall performance can often be gained
by running the steps in parallel. A 'Async::MergePoint' object can then be
used to wait for all of the steps to complete, before passing the combined
result of each step on to the next stage.

A merge point maintains a set of outstanding operations it is waiting on;
these are arbitrary string values provided at the object's construction.
Each time the 'done()' method is called, the named item is marked as being
complete. When all of the required items are so marked, the 'on_finished'
continuation is invoked.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.40.0-12.mga10
+ Revision: 2197706
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-11.mga9
+ Revision: 1802066
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-10.mga8
+ Revision: 1492765
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-9.mga7
+ Revision: 1265702
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1022599
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 929382
- Mageia 6 Mass Rebuild

* Sat Jan 30 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 929117
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 740164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 683555
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 509148
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 363207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 106466
- update to 0.04

* Tue Jan 18 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 22018
- cleaning spec file
- imported package perl-Async-MergePoint


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 394978
- update to 0.03

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 390462
- import perl-Async-MergePoint


* Mon Jun 29 2009 cpan2dist 0.02-1mdv
- initial mdv release, generated with cpan2dist

